Sign in to follow this  
Followers 0

google maps and https

2 posts in this topic



Would it be possible to add an option to the google maps shortcode to load the map in https?


It is possible to load the maps in ssl: google search



Share this post

Link to post
Share on other sites

Hi there,


Using the force ssl hook you'll be able to force all pagelines generated links in the css to be ssl, as far as I'm aware, as it's embedded into an iframe the resources link will still be http.


I think if you wanted to do this properly you would need to look into the google api instead of using the shortcode.

Share this post

Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  
Followers 0

  • Similar Content

    • Embed full width street view
      By zetanet+
      Look the Google tour iframe in this page:
      Is it possible to see this iframe not boxed (as you see) but in full width?
    • Chrome v44 HTTPS Bug
      By aldisney+
      I haven't seen this come up on the forums, but since Chrome's required for PageLines, I thought it might be helpful to share this information with the community - I've been tearing my hair out about this all week.
      Chrome's most recent update, to use non-technical terminology, broke the crap out of a ton of Wordpress sites and other web applications. Chrome's forcing sites to look for HTTPS when there's no HTTPS to be found, which, in some cases, prevents you from accessing your Wordpress site entirely. Here's a pretty good explanation of what's going on:
      Per the article and Google's release schedule, it looks like the issue's supposed to be fixed in the next update, Monday, 27th of 2015. For our customers, we're going to ride it out and see if a fix gets implemented on schedule, but the article comments include a plugin hosted on Github that resolves the issue.
      In any case, if there's anyone else going crazy trying to figure out what's going on with their sites, I hope this helps. 
    • for Carousel image breaking HTTPS
      By dgsarnow+
      I have DMS2 installed and my site is being served over HTTPS. However, I am getting an error that a placeholder image for Quick Carousel (which is not a being used on any of my pages) is being served over http://
      Mixed Content: The page at ''was loaded over HTTPS, but requested an insecure image ''. This content should also be served over HTTPS.
      How can I remove this?
      Found it. It was the Recent Posts Widget that was calling this little devil. I have removed the reference and all is well in SSL land.
    • Site can't find style-sheet when using HTTPS
      By stephen2+
      I've been working with FLywheel on this as its been an ongoing issue. Our site has been acting erratically - it has periods where it loads and behaves perfectly, then suddenly it can't find its style sheet and doesn't load properly. I've been in contact with Flywheel almost daily with this issue. Each time we think it's solved due to a caching issue on their side and within a day or If I push an update, the issue returns. I'm told that Pagelines doesn't work well with HTTPS? And/or doesn't like being moved from a staging environment. We're using HTTPS for HIPAA compliance and removing it isn't an option. As for staging, it's tough working on a live site - been using Flywheel's staging environment.  Can someone help us with this?    Website:
    • Quick Carousel Breaking HTTPS
      By dgsarnow+
      I just updated to the new theme and I am now getting errors on my HTTPS site that the quick carousel is trying to deliver content through HTTP.
      Mixed Content: The page at ''was loaded over HTTPS, but requested an insecure script ''. This request has been blocked; the content must be served over HTTPS.
      Can you please help me correct this issue?